## vlevel 0.5.1

=== Makefile ===
# This file is part of VLevel, a dynamic volume normalizer.
#
# Copyright 2003 Tom Felker <tcfelker@mtco.com>
#
# This library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

# User-editable options:

# Change this to suit your preferences (maybe add -march=cputype)	

# This is what works fastest with GCC on my system
#
# I'd be interested to see how setting -DEXPECT impacts performance -
# on my system, it makes it a bit worse.

#export CXXFLAGS = -Wall -O3 -fPIC -DPIC -g -march=pentium4
export CXXFLAGS = -Wall -O3 -fPIC -DPIC

# On my system, ICC is quite a bit faster, with these options:
#export CC=icc
#export CXX=icc
#export LD=icc
#export CXXFLAGS = -fPIC -DPIC -g  -O3 -rcd

# This is where it will be installed
export PREFIX = /usr/local/
export LADSPA_PATH = $(PREFIX)/lib/ladspa/

# End of user-editable options.


# Note: this probably isn't the best way to have one makefile for
# source in several directories.  Someday I'll figure out automake.
# Writing Makefiles always makes me feel like I'm reinventing the
# wheel.

# This is evil, but it makes implicit link rules use g++, not gcc
export CC = $(CXX)

.PHONY: all install clean

all:
	make -C volumeleveler all
	make -C vlevel-bin all
	make -C vlevel-ladspa all
	make -C vlevel-jack all

install: all
	make -C volumeleveler install
	make -C vlevel-bin install
	make -C vlevel-ladspa install
	make -C vlevel-jack install

clean:
	make -C volumeleveler clean
	make -C vlevel-bin clean
	make -C vlevel-ladspa clean
	make -C vlevel-jack clean

=== vlevel-bin/Makefile ===
# This file is part of VLevel, a dynamic volume normalizer.
#
# Copyright 2003 Tom Felker <tcfelker@mtco.com>
#
# This library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

# This is evil, but it makes implicit link rules use g++, not gcc
CC = $(CXX)

.PHONY: all
all: vlevel-bin

.PHONY: install
install: all
	cp -f vlevel-bin $(PREFIX)/bin/

.PHONY: clean
clean:
	-rm -f *.o vlevel-bin

# This isn't ideal - if ../volumeleveler/volumeleveler.cpp was changed,
# but make wasn't yet run there, then the .o file won't be new, so
# the project will be improperly built.  Also, if volumeleveler.o doesn't
# exist yet, then make won't build it.  Unfortunately, it's discouraged
# to make it a .PHONY, and besides, that causes relinking every time
# make is run here, even during install (which leaves root's files).
# Make sucks.

../volumeleveler/volumeleveler.o:
	make -C ../volumeleveler all

vlevel-bin: vlevel-bin.o \
            commandline.o \
            ../volumeleveler/volumeleveler.o

vlevel-bin.o: vlevel-bin.cpp \
              commandline.h \
              ../volumeleveler/volumeleveler.h \

commandline.o: commandline.cpp commandline.h

=== vlevel-jack/Makefile ===
# This file is part of VLevel, a dynamic volume normalizer.
#
# Copyright 2003 Tom Felker <tcfelker@mtco.com>
#
# This library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

# commented out rules weer used to build it on OSX (yes, it works)
#
# This is evil, but it makes implicit link rules use g++, not gcc
CC = $(CXX)
#LDFLAGS = -L/opt/local/lib
LDFLAGS = ` pkg-config --libs-only-L jack `
#LDLIBS = -ljack -lpthread -framework CoreAudio -framework CoreServices -framework AudioUnit
LDLIBS = ` pkg-config --libs-only-l jack `
CXXFLAGS = ` pkg-config --cflags jack `
#CXXFLAGS= -I/opt/local/include -g -v
CFLAGS = $(CXXFLAGS)

.PHONY: all
all: vlevel-jack

.PHONY: install
install: all
	cp -f vlevel-jack $(PREFIX)/bin/

.PHONY: clean
clean:
	-rm -f *.o vlevel-jack

# This isn't ideal - if ../volumeleveler/volumeleveler.cpp was changed,
# but make wasn't yet run there, then the .o file won't be new, so
# the project will be improperly built.  Also, if volumeleveler.o doesn't
# exist yet, then make won't build it.  Unfortunately, it's discouraged
# to make it a .PHONY, and besides, that causes relinking every time
# make is run here, even during install (which leaves root's files).
# Make sucks.

../volumeleveler/volumeleveler.o:
	make -C ../volumeleveler all

vlevel-jack: vlevel-jack.o \
            commandline.o \
            ../volumeleveler/volumeleveler.o

vlevel-jack.o: vlevel-jack.cpp \
              commandline.h \
              ../volumeleveler/volumeleveler.h \

commandline.o: commandline.cpp commandline.h

=== vlevel-ladspa/Makefile ===
# This file is part of VLevel, a dynamic volume normalizer.
#
# Copyright 2003 Tom Felker <tcfelker@mtco.com>
#
# This library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

# This is evil, but it makes implicit link rules use g++, not gcc
CC = $(CXX)

.PHONY: all
all: vlevel-ladspa.so

.PHONY: install
install: all
	cp -f vlevel-ladspa.so $(LADSPA_PATH)/

.PHONY: clean
clean:
	-rm -f *.o vlevel-ladspa.so

# This isn't ideal - if ../volumeleveler/volumeleveler.cpp was changed,
# but make wasn't yet run there, then the .o file won't be new, so
# the project will be improperly built.  Also, if volumeleveler.o doesn't
# exist yet, then make won't build it.  Unfortunately, it's discouraged
# to make it a .PHONY, and besides, that causes relinking every time
# make is run here, even during install (which leaves root's files).
# Make sucks.

../volumeleveler/volumeleveler.o:
	make -C ../volumeleveler all

vlevel-ladspa.so: vlevel-ladspa.o ../volumeleveler/volumeleveler.o
	$(CXX) $(CXXFLAGS) -shared -o vlevel-ladspa.so vlevel-ladspa.o ../volumeleveler/volumeleveler.o


vlevel-ladspa.o: vlevel-ladspa.cpp \
                 vlevel-ladspa.h \
                 ladspa.h \
                 ../volumeleveler/volumeleveler.h \

## vlevel 0.5

=== debian/changelog ===
vlevel (0.5-1) unstable; urgency=low

  * Initial release (Closes: #774230)
  * Add patch to fix hardcoded Makefile variables

 -- Axel Beckert <abe@debian.org>  Tue, 30 Dec 2014 18:31:18 +0100

=== debian/control ===
Source: vlevel
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9),
               help2man
Standards-Version: 3.9.6
Homepage: https://github.com/radiocicletta/vlevel
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vlevel.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/vlevel.git

Package: vlevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Levelling LADSPA plugin and command-line audio filter
 VLevel keeps your music from making you jump out of your seat, and it
 keeps you from having to fiddle with the volume constantly. It's
 different from other dynamic compressors because it looks ahead. You
 can think of VLevel as someone who knows your music by heart, and
 turns the volume up during quiet passages, but smoothly turns it back
 down when he knows a loud part is coming. It's great for making CDs
 to listen to in your car, or to play background music on your
 computer.
 .
 VLevel is currently a LADSPA plugin and a command-line filter. You can
 use it with many Linux audio programs including XMMS, GStreamer,
 GLAME, GDAM, and others, and you can use it in shell scripts to level
 your music before burning a CD.
 .
 The commandline filter is also useful for levelling podcasts before
 (encoding and) publishing.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ 

override_dh_installman:
	help2man -N \
		--no-discard-stderr \
		-h -h \
		--version-string=`dpkg-parsechangelog -SVersion | cut -d- -f1` \
		-n 'Levelling Filter' \
		debian/vlevel/usr/bin/vlevel > vlevel.1
	dh_installman

## vlevel 0.5.1

=== debian/changelog ===
vlevel (0.5.1-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:02:19 +0100

vlevel (0.5.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Update Vcs-* headers for move to salsa.debian.org.
  * debian/watch: Use https protocol.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org.

  [ Axel Beckert ]
  * Bump debhelper compatibility level to 12.
    + Use b-d on "debhelper-compat (= 12)" instead of debian/compat.
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Wed, 02 Jan 2019 07:30:04 +0100

vlevel (0.5.1-2) unstable; urgency=medium

  * Remove trailing whitespace from debian/rules.
  * Switch Vcs-* header and DEP5 format URL to HTTPS.
  * Enable all hardening build flags.
    + Extend fix-hardcoded-makefile-variables.patch to also fix
      vlevel-jack/Makefile.
  * Use …/pkg-info.mk and $(DEB_VERSION) instead of dpkg-parsechangelog.
  * Declare compliance with Debian Policy 4.1.1. (No changes needed.)
  * Bump debhelper compatibility 10.
    + Update versioned debhelper build-dependency accordingly.
    + Replace all calls to make in Makefiles with $(MAKE) to properly pass
      "-j", etc.
  * Set "Rules-Requires-Root: no".
  * Add symlink from vlevel-jack.1.gz to vlevel.1.gz.

 -- Axel Beckert <abe@debian.org>  Mon, 30 Oct 2017 01:04:13 +0100

vlevel (0.5.1-1) unstable; urgency=medium

  * New upstream release
    + Update patch
      - Rename vlevel-bin to vlevel in override_dh_auto_install instead of
        adding a new file to the patch.
      - Add usr/lib/ladspa to debian/dirs
    + Prevent dh_clean removing upstream's REAMDE.orig
    + Add new build-dependency on "libjack-jackd2-dev | libjack-dev"
    + Install README.md and README.orig instead of README as documentation
    + Update debian/copyright wrt. to paths, license, authors and years
      - The original upstream changed the license from GPL to LGPL in CVS
        after the 0.5 release and the fork is based upon the latest CVS
        checkout.
    + Suggest jackd as the package now also contains a JACK filter.
    + Update package description to mention new features added upstream.

 -- Axel Beckert <abe@debian.org>  Sun, 15 Mar 2015 22:10:38 +0100

=== debian/control ===
Source: vlevel
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper-compat (= 12),
               help2man,
               libjack-jackd2-dev | libjack-dev
Standards-Version: 4.3.0
Homepage: https://github.com/radiocicletta/vlevel
Vcs-Git: https://salsa.debian.org/multimedia-team/vlevel.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/vlevel
Rules-Requires-Root: no

Package: vlevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: jackd
Description: Levelling audio filter as command-line tool and LADSPA/JACK plugin
 VLevel keeps your music from making you jump out of your seat, and it
 keeps you from having to fiddle with the volume constantly. It's
 different from other dynamic compressors because it looks ahead. You
 can think of VLevel as someone who knows your music by heart, and
 turns the volume up during quiet passages, but smoothly turns it back
 down when he knows a loud part is coming. It's great for making CDs
 to listen to in your car, or to play background music on your
 computer.
 .
 VLevel is currently a LADSPA plugin, a JACK plugin and a command-line
 filter. You can use it with many Linux audio programs including XMMS,
 GStreamer, GLAME, GDAM, and others, and you can use it in shell
 scripts to level your music before burning a CD.
 .
 The commandline filter is also useful for levelling podcasts before
 (encoding and) publishing.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv -v debian/vlevel/usr/bin/vlevel-bin debian/vlevel/usr/bin/vlevel

override_dh_installman:
	help2man -N \
		--no-discard-stderr \
		-h -h \
		--version-string=`echo $(DEB_VERSION) | cut -d- -f1` \
		-n 'Levelling Filter' \
		debian/vlevel/usr/bin/vlevel > vlevel.1
	dh_installman

override_dh_clean:
	dh_clean -XREADME.orig

=== debian/watch ===
version=3
# Old SF project, all releases so far
https://sf.net/vlevel/vlevel-(.*)\.tar\.gz

# More recent project on GitHub, no releases yet
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/<project>-$1.tar.gz/" \
https://github.com/radiocicletta/vlevel/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/<project>-$1.tar.gz/" \
https://github.com/radiocicletta/vlevel/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## vlevel 0.5.2

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,10 @@
 # I'd be interested to see how setting -DEXPECT impacts performance -
 # on my system, it makes it a bit worse.
 
+export VERSION = 0.5.2
+
 #export CXXFLAGS = -Wall -O3 -fPIC -DPIC -g -march=pentium4
-export CXXFLAGS = -Wall -O3 -fPIC -DPIC
+export CXXFLAGS += -Wall -O3 -fPIC -DPIC -DVLEVEL_VERSION=\"$(VERSION)\"
 
 # On my system, ICC is quite a bit faster, with these options:
 #export CC=icc
@@ -36,36 +38,30 @@
 #export CXXFLAGS = -fPIC -DPIC -g  -O3 -rcd
 
 # This is where it will be installed
-export PREFIX = /usr/local/
+export DESTDIR := /
+export PREFIX = $(DESTDIR)/usr/
 export LADSPA_PATH = $(PREFIX)/lib/ladspa/
 
 # End of user-editable options.
 
-
-# Note: this probably isn't the best way to have one makefile for
-# source in several directories.  Someday I'll figure out automake.
-# Writing Makefiles always makes me feel like I'm reinventing the
-# wheel.
-
-# This is evil, but it makes implicit link rules use g++, not gcc
 export CC = $(CXX)
 
 .PHONY: all install clean
 
 all:
-	make -C volumeleveler all
-	make -C vlevel-bin all
-	make -C vlevel-ladspa all
-	make -C vlevel-jack all
+	$(MAKE) -C volumeleveler all
+	$(MAKE) -C vlevel-bin all
+	$(MAKE) -C vlevel-ladspa all
+	$(MAKE) -C vlevel-jack all
 
 install: all
-	make -C volumeleveler install
-	make -C vlevel-bin install
-	make -C vlevel-ladspa install
-	make -C vlevel-jack install
+	$(MAKE) -C volumeleveler install
+	$(MAKE) -C vlevel-bin install
+	$(MAKE) -C vlevel-ladspa install
+	$(MAKE) -C vlevel-jack install
 
 clean:
-	make -C volumeleveler clean
-	make -C vlevel-bin clean
-	make -C vlevel-ladspa clean
-	make -C vlevel-jack clean
+	$(MAKE) -C volumeleveler clean
+	$(MAKE) -C vlevel-bin clean
+	$(MAKE) -C vlevel-ladspa clean
+	$(MAKE) -C vlevel-jack clean

=== vlevel-bin/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 # Make sucks.
 
 ../volumeleveler/volumeleveler.o:
-	make -C ../volumeleveler all
+	$(MAKE) -C ../volumeleveler all
 
 vlevel-bin: vlevel-bin.o \
             commandline.o \

=== vlevel-jack/Makefile ===
--- 
+++ 
@@ -17,17 +17,17 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 # USA
 
-# commented out rules weer used to build it on OSX (yes, it works)
-#
-# This is evil, but it makes implicit link rules use g++, not gcc
+PKG_CONFIG ?= pkg-config
+
 CC = $(CXX)
+CXXFLAGS += $(shell $(PKG_CONFIG) --cflags jack)
+LDFLAGS += $(shell $(PKG_CONFIG) --libs-only-L jack)
+LDLIBS += $(shell $(PKG_CONFIG) --libs-only-l jack)
+
+# commented out rules were used to build it on OSX (yes, it works)
 #LDFLAGS = -L/opt/local/lib
-LDFLAGS = ` pkg-config --libs-only-L jack `
 #LDLIBS = -ljack -lpthread -framework CoreAudio -framework CoreServices -framework AudioUnit
-LDLIBS = ` pkg-config --libs-only-l jack `
-CXXFLAGS = ` pkg-config --cflags jack `
 #CXXFLAGS= -I/opt/local/include -g -v
-CFLAGS = $(CXXFLAGS)
 
 .PHONY: all
 all: vlevel-jack
@@ -49,7 +49,7 @@
 # Make sucks.
 
 ../volumeleveler/volumeleveler.o:
-	make -C ../volumeleveler all
+	$(MAKE) -C ../volumeleveler all
 
 vlevel-jack: vlevel-jack.o \
             commandline.o \

=== vlevel-ladspa/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 # Make sucks.
 
 ../volumeleveler/volumeleveler.o:
-	make -C ../volumeleveler all
+	$(MAKE) -C ../volumeleveler all
 
 vlevel-ladspa.so: vlevel-ladspa.o ../volumeleveler/volumeleveler.o
 	$(CXX) $(CXXFLAGS) -shared -o vlevel-ladspa.so vlevel-ladspa.o ../volumeleveler/volumeleveler.o

=== volumeleveler/Makefile ===
# This file is part of VLevel, a dynamic volume normalizer.
#
# Copyright 2003 Tom Felker <tcfelker@mtco.com>
#
# This library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

.PHONY: all
all: volumeleveler.o

.PHONY: install
install: all

.PHONY: clean
clean:
	-rm -f volumeleveler.o

volumeleveler.o: volumeleveler.cpp volumeleveler.h

=== debian/changelog ===
vlevel (0.5.2-1) unstable; urgency=medium

  * Team upload

  [ Axel Beckert ]
  * New minor upstream release 0.5.2.
    + Drop all but one hunk from fix-hardcoded-makefile-variables.patch,
      applied upstream.
    + Drop remaining patches, applied upstream.
  * Bump packaging copyright years in debian/copyright. Thanks Lintian!
  * Declare compliance with Debian Policy 4.6.2. (No changes needed.)

  [ Sebastian Ramacher ]
  * debian/control:
    - Add pkgconf to Build-Depends (Closes: #1076931)
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 26 Jul 2024 13:42:24 +0200

vlevel (0.5.1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #923617)
    + Upstream expects $(CC) to contain a C++ compiler.
    + cross.patch: Make pkg-config substitutable.

  [ Axel Beckert ]
  * Add DEP-3 header to Helmut's patch.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)
  * Create a DEP-12 debian/upstream/metadata file pointing to Github.
  * debian/watch:
    + Fix filenamemangle, replace "<project>" with "vlevel". Thanks Lintian!
    + Bump version from 3 to 4.
    + Drop old SF download page, the Github repo now at least has tags.

  [ Debian Janitor ]
  * Bump debhelper-compat from 12 to 13.

 -- Axel Beckert <abe@debian.org>  Sun, 05 Sep 2021 16:34:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                help2man,
-               libjack-jackd2-dev | libjack-dev
-Standards-Version: 4.3.0
+               libjack-jackd2-dev | libjack-dev,
+               pkgconf
+Standards-Version: 4.7.0
 Homepage: https://github.com/radiocicletta/vlevel
 Vcs-Git: https://salsa.debian.org/multimedia-team/vlevel.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/vlevel

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_build:
+	dh_auto_build -- 'CC=$$(CXX)'
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/vlevel-$1.tar.gz/" \
https://github.com/radiocicletta/vlevel/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

# No declared releases so far, just tags
#opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/vlevel-$1.tar.gz/" \
#https://github.com/radiocicletta/vlevel/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
